# eric6.Plugins.VcsPlugins.vcsGit.GitPatchStatisticsDialog

Module implementing a dialog to show some patch file statistics.

### Global Attributes

None

### Classes

GitPatchStatisticsDialog | Class implementing a dialog to show some patch file statistics.

### Functions

None

## GitPatchStatisticsDialog

Class implementing a dialog to show some patch file statistics.

### Derived from

QDialog, Ui_GitPatchStatisticsDialog

### Class Attributes

None

### Class Methods

None

### Methods

GitPatchStatisticsDialog | Constructor
__createStatisticsItem | Private method to create a file statistics entry.
__resizeColumns | Private method to resize the list columns.
getData | Public method to get the data used to generate the statistics.
start | Public method to start the statistics process.

### Static Methods

None

#### GitPatchStatisticsDialog (Constructor)

GitPatchStatisticsDialog(vcs, parent=None)

Constructor

vcs
  reference to the VCS object (Git)
parent
  reference to the parent widget (QWidget)

#### GitPatchStatisticsDialog.__createStatisticsItem

__createStatisticsItem(line)

Private method to create a file statistics entry.

line
  string with file statistics data (string)

#### GitPatchStatisticsDialog.__resizeColumns

__resizeColumns()

Private method to resize the list columns.

#### GitPatchStatisticsDialog.getData

getData()

Public method to get the data used to generate the statistics.

Returns:
  tuple of list of patch files, strip count, flag indicating that the patch has inaccurate end-of-file marker and a flag indicating to not trust the line count information (list of string, integer, boolean, boolean)

#### GitPatchStatisticsDialog.start

start(projectDir, patchCheckData)

Public method to start the statistics process.

projectDir
  directory name of the project (string)
patchCheckData
  tuple of data as returned by the GitPatchFilesDialog.getData() method

Up